Subject: Re: git-svn uses uninitialized value $lc_rev at line 1141

From: "Mike.lifeguard" <[email-masked]>
Date: Thu, 13 May 2010 11:58:07 -0300

On 10-05-13 05:40 AM, Carlo Marcelo Arenas Belon wrote:
> this shouldn't happen unless you are doing git svn info in a tree 
> that has no metadata (or lost it somehow).

Even if your tree has no SVN metadata, perl shouldn't be sending me
errors. Maybe you want to catch the error and git-svn can give me the error.

> does git log show any git-svn-id tags?

Yes, it did... though I've since re-cloned the SVN repo since I needed
to include stuff I had skipped with --ignore-paths. The top commit was
made to something I had ignored in that way. I don't know if git would
have lc_rev data in that case.

- -Mike